unbound: fast_reload_construct Struct Reference

unbound 0.1

Data Fields
fast_reload_construct Struct Reference

Structure with constructed elements for use during fast reload. More...

## Data Fields
void * | listen_dot_sslctx
| ssl context for listening to dnstcp over ssl
void * | connect_dot_sslctx
| ssl context for connecting to dnstcp over ssl
void * | listen_doh_sslctx
| ssl context for listening to DoH
void * | listen_quic_sslctx
| ssl context for listening to quic
char * | ssl_service_key
| the file name that the ssl context is made with, private key.
char * | ssl_service_pem
| the file name that the ssl context is made with, certificate.
time_t | mtime_ssl_service_key
| modification time for ssl_service_key, in sec and ns.
long | mtime_ns_ssl_service_key
time_t | mtime_ssl_service_pem
| modification time for ssl_service_pem, in sec and ns.
long | mtime_ns_ssl_service_pem
struct views * | views
| construct for views
struct auth_zones * | auth_zones
| construct for auth zones
struct iter_forwards * | fwds
| construct for forwards
struct iter_hints * | hints
| construct for stubs
struct respip_set * | respip_set
| construct for respip_set
struct acl_list * | acl
| construct for access control
struct acl_list * | acl_interface
| construct for access control interface
struct tcl_list * | tcl
| construct for tcp connection limit
struct local_zones * | local_zones
| construct for local zones
int | use_response_ip
| if there is response ip configuration in use
int | use_rpz
| if there is an rpz zone
struct edns_strings * | edns_strings
| construct for edns strings
struct val_anchors * | anchors
| construct for trust anchors
size_t * | nsec3_keysize
| construct for nsec3 key size
size_t * | nsec3_maxiter
| construct for nsec3 max iter
int | nsec3_keyiter_count
| construct for nsec3 keyiter count
int * | target_fetch_policy
| construct for target fetch policy
int | max_dependency_depth
| construct for max dependency depth
struct iter_donotq * | donotq
| construct for donotquery addresses
struct iter_priv * | priv
| construct for private addresses and domains
struct rbtree_type * | caps_white
| construct whitelist for capsforid names
struct iter_nat64 | nat64
| construct for nat64
struct rbtree_type | wait_limits_netblock
| construct for wait_limits_netblock
struct rbtree_type | wait_limits_cookie_netblock
| construct for wait_limits_cookie_netblock
struct rbtree_type | domain_limits
| construct for domain limits
struct config_file * | oldcfg
| storage for the old configuration elements.

## Detailed Description

Structure with constructed elements for use during fast reload.

At the start it contains the tree items for the new config. After the tree items are swapped into the server, the old elements are kept in here. They can then be deleted.

## Field Documentation

## ◆ mtime_ssl_service_key

time_t fast_reload_construct::mtime_ssl_service_key

modification time for ssl_service_key, in sec and ns.

Like in a struct timespec, but without that for portability.

Referenced by ct_create_sslctxs(), and sslctxs_swap().

## ◆ mtime_ssl_service_pem

time_t fast_reload_construct::mtime_ssl_service_pem

modification time for ssl_service_pem, in sec and ns.

Like in a struct timespec, but without that for portability.

Referenced by ct_create_sslctxs(), and sslctxs_swap().

## ◆ oldcfg

struct config_file* fast_reload_construct::oldcfg

storage for the old configuration elements.

The outer struct is allocated with malloc here, the items are from config.

Referenced by fr_construct_clear(), fr_construct_from_config(), fr_printmem(), and fr_reload_config().

The documentation for this struct was generated from the following file:

- daemon/remote.c